org.apache.synapse.commons.throttle.core

## Class ThrottleConstants

- java.lang.Object
- - org.apache.synapse.commons.throttle.core.ThrottleConstants

-     public final class ThrottleConstants
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ACCESS_ALLOWED`
    `static int` | `ACCESS_CONTROLLED`
    `static int` | `ACCESS_DENIED`
    `static java.lang.String` | `ADMIN_SERVICE_PARAM_NAME` Parameter names which are used to identify special services..
    `static java.lang.String` | `ALLOW_PARAMETER_NAME`
    `static java.lang.String` | `CAC_SUFFIX`
    `static java.lang.String` | `CONTROL_PARAMETER_NAME`
    `static long` | `DEFAULT_THROTTLE_CLEAN_PERIOD`
    `static java.lang.String` | `DEFAULT_THROTTLE_CONTEXT_ID`
    `static java.lang.String` | `DENY_PARAMETER_NAME`
    `static java.lang.String` | `DISTRIBUTED_COUNTER_CONFIGURATIONS`
    `static java.lang.String` | `DISTRIBUTED_COUNTER_TYPE`
    `static int` | `DOMAIN_BASE`
    `static java.lang.String` | `DOMAIN_BASED_THROTTLE_KEY`
    `static java.lang.String` | `DOMAIN_NAME_PROPERTY`
    `static java.lang.String` | `DUMMY_TOKEN` Dummy token for token based throttling policy initialization
    `static java.lang.String` | `DYNAMIC_SERVICE_PARAM_NAME`
    `static int` | `GLOBAL_THROTTLE`
    `static java.lang.String` | `GLOBAL_THROTTLE_ID`
    `static java.lang.String` | `GLOBAL_THROTTLE_KEY`
    `static java.lang.String` | `GLOBAL_THROTTLE_PATH_PARAM` This global throttle path can be used to point to an external global throttle policy using the axis.xml
    `static java.lang.String` | `HAZELCAST`
    `static java.lang.String` | `HIDDEN_SERVICE_PARAM_NAME`
    `static java.lang.String` | `ID_PARAMETER_NAME`
    `static int` | `IP_BASE`
    `static java.lang.String` | `IP_BASED_THROTTLE_KEY`
    `static java.lang.String` | `ISALLOW_PARAMETER_NAME` Deprecated.
    `static java.lang.String` | `KEY_OF_DEFAULT_CONFIGURATION_FOR_OTHER`
    `static java.lang.String` | `MAX_NON_ASSOCIATED_COUNTER_CLEANUP_AMOUNT`
    `static java.lang.String` | `MAXIMUM_CONCURRENT_ACCESS_PARAMETER_NAME`
    `static java.lang.String` | `MAXIMUM_COUNT_PARAMETER_NAME`
    `static javax.xml.namespace.QName` | `MEDIATOR_THROTTLE_ASSERTION_QNAME`
    `static javax.xml.namespace.QName` | `MODULE_THROTTLE_ASSERTION_QNAME`
    `static int` | `OPERATION_BASED_THROTTLE`
    `static javax.xml.namespace.QName` | `OPERATION_THROTTLE_ASSERTION_QNAME`
    `static java.lang.String` | `PROHIBIT_TIME_PERIOD_PARAMETER_NAME`
    `static int` | `ROLE_BASE`
    `static java.lang.String` | `ROLE_BASED_THROTTLE_KEY`
    `static int` | `SERVICE_BASED_THROTTLE`
    `static javax.xml.namespace.QName` | `SERVICE_THROTTLE_ASSERTION_QNAME`
    `static javax.xml.namespace.QName` | `THROTTLE_ASSERTION_QNAME` Deprecated.
    `static java.lang.String` | `THROTTLE_CONTEXT_CLEANUP_TASK_FREQUENCY`
    `static java.lang.String` | `THROTTLE_CONTEXT_DISTRIBUTED_CLEANUP_TASK_FREQUENCY`
    `static java.lang.String` | `THROTTLE_CONTEXT_DISTRIBUTED_EXPIRED_INSTANCE_TIME`
    `static java.lang.String` | `THROTTLE_DISTRIBUTED_CLEANUP_AMOUNT`
    `static java.lang.String` | `THROTTLE_DISTRIBUTED_CLEANUP_POOL_SIZE`
    `static java.lang.String` | `THROTTLE_DISTRIBUTED_CLEANUP_TASK_ENABLE`
    `static java.lang.String` | `THROTTLE_INFO_KEY`
    `static java.lang.String` | `THROTTLE_MODULE_NAME`
    `static java.lang.String` | `THROTTLE_NS`
    `static java.lang.String` | `THROTTLE_NS_PREFIX`
    `static java.lang.String` | `THROTTLE_PROPERTY_PREFIX`
    `static java.lang.String` | `THROTTLE_SHARED_COUNTER_KEY`
    `static java.lang.String` | `THROTTLE_TIMESTAMP_KEY`
    `static javax.xml.namespace.QName` | `THROTTLE_TYPE_ATTRIBUTE_QNAME`
    `static java.lang.String` | `THROTTLES_MAP`
    `static java.lang.String` | `THROTTLING_KEYS_TO_REPLICATE`
    `static java.lang.String` | `THROTTLING_POOL_SIZE`
    `static java.lang.String` | `THROTTLING_REPLICATION_FREQUENCY`
    `static java.lang.String` | `TOKEN_BASED_THROTTLE_KEY`
    `static java.lang.String` | `UNIT_TIME_PARAMETER_NAME`
    `static java.lang.String` | `WINDOW_REPLICATOR_FREQUENCY`
    `static java.lang.String` | `WINDOW_REPLICATOR_POOL_SIZE`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HAZELCAST

          public static final java.lang.String HAZELCAST

      See Also:
        Constant Field Values

    - #### THROTTLE_MODULE_NAME

          public static final java.lang.String THROTTLE_MODULE_NAME

      See Also:
        Constant Field Values

    - #### THROTTLE_NS

          public static final java.lang.String THROTTLE_NS

      See Also:
        Constant Field Values

    - #### THROTTLE_NS_PREFIX

          public static final java.lang.String THROTTLE_NS_PREFIX

      See Also:
        Constant Field Values

    - #### IP_BASE

          public static final int IP_BASE

      See Also:
        Constant Field Values

    - #### DOMAIN_BASE

          public static final int DOMAIN_BASE

      See Also:
        Constant Field Values

    - #### ROLE_BASE

          public static final int ROLE_BASE

      See Also:
        Constant Field Values

    - #### GLOBAL_THROTTLE

          public static final int GLOBAL_THROTTLE

      See Also:
        Constant Field Values

    - #### SERVICE_BASED_THROTTLE

          public static final int SERVICE_BASED_THROTTLE

      See Also:
        Constant Field Values

    - #### OPERATION_BASED_THROTTLE

          public static final int OPERATION_BASED_THROTTLE

      See Also:
        Constant Field Values

    - #### THROTTLE_ASSERTION_QNAME

          public static final javax.xml.namespace.QName THROTTLE_ASSERTION_QNAME

      Deprecated.

    - #### OPERATION_THROTTLE_ASSERTION_QNAME

          public static final javax.xml.namespace.QName OPERATION_THROTTLE_ASSERTION_QNAME

    - #### SERVICE_THROTTLE_ASSERTION_QNAME

          public static final javax.xml.namespace.QName SERVICE_THROTTLE_ASSERTION_QNAME

    - #### MODULE_THROTTLE_ASSERTION_QNAME

          public static final javax.xml.namespace.QName MODULE_THROTTLE_ASSERTION_QNAME

    - #### MEDIATOR_THROTTLE_ASSERTION_QNAME

          public static final javax.xml.namespace.QName MEDIATOR_THROTTLE_ASSERTION_QNAME

    - #### THROTTLE_TYPE_ATTRIBUTE_QNAME

          public static final javax.xml.namespace.QName THROTTLE_TYPE_ATTRIBUTE_QNAME

    - #### KEY_OF_DEFAULT_CONFIGURATION_FOR_OTHER

          public static final java.lang.String KEY_OF_DEFAULT_CONFIGURATION_FOR_OTHER

      See Also:
        Constant Field Values

    - #### ISALLOW_PARAMETER_NAME

          public static final java.lang.String ISALLOW_PARAMETER_NAME

      Deprecated.
      See Also:
        Constant Field Values

    - #### ALLOW_PARAMETER_NAME

          public static final java.lang.String ALLOW_PARAMETER_NAME

      See Also:
        Constant Field Values

    - #### CONTROL_PARAMETER_NAME

          public static final java.lang.String CONTROL_PARAMETER_NAME

      See Also:
        Constant Field Values

    - #### DENY_PARAMETER_NAME

          public static final java.lang.String DENY_PARAMETER_NAME

      See Also:
        Constant Field Values

    - #### DEFAULT_THROTTLE_CONTEXT_ID

          public static final java.lang.String DEFAULT_THROTTLE_CONTEXT_ID

      See Also:
        Constant Field Values

    - #### UNIT_TIME_PARAMETER_NAME

          public static final java.lang.String UNIT_TIME_PARAMETER_NAME

      See Also:
        Constant Field Values

    - #### MAXIMUM_COUNT_PARAMETER_NAME

          public static final java.lang.String MAXIMUM_COUNT_PARAMETER_NAME

      See Also:
        Constant Field Values

    - #### PROHIBIT_TIME_PERIOD_PARAMETER_NAME

          public static final java.lang.String PROHIBIT_TIME_PERIOD_PARAMETER_NAME

      See Also:
        Constant Field Values

    - #### ID_PARAMETER_NAME

          public static final java.lang.String ID_PARAMETER_NAME

      See Also:
        Constant Field Values

    - #### MAXIMUM_CONCURRENT_ACCESS_PARAMETER_NAME

          public static final java.lang.String MAXIMUM_CONCURRENT_ACCESS_PARAMETER_NAME

      See Also:
        Constant Field Values

    - #### GLOBAL_THROTTLE_PATH_PARAM

          public static final java.lang.String GLOBAL_THROTTLE_PATH_PARAM

      This global throttle path can be used to point to an external global throttle policy using the axis.xml
      See Also:
        Constant Field Values

    - #### ACCESS_CONTROLLED

          public static final int ACCESS_CONTROLLED

      See Also:
        Constant Field Values

    - #### ACCESS_DENIED

          public static final int ACCESS_DENIED

      See Also:
        Constant Field Values

    - #### ACCESS_ALLOWED

          public static final int ACCESS_ALLOWED

      See Also:
        Constant Field Values

    - #### DEFAULT_THROTTLE_CLEAN_PERIOD

          public static final long DEFAULT_THROTTLE_CLEAN_PERIOD

      See Also:
        Constant Field Values

    - #### THROTTLE_PROPERTY_PREFIX

          public static final java.lang.String THROTTLE_PROPERTY_PREFIX

      See Also:
        Constant Field Values

    - #### THROTTLES_MAP

          public static final java.lang.String THROTTLES_MAP

      See Also:
        Constant Field Values

    - #### IP_BASED_THROTTLE_KEY

          public static final java.lang.String IP_BASED_THROTTLE_KEY

      See Also:
        Constant Field Values

    - #### DOMAIN_BASED_THROTTLE_KEY

          public static final java.lang.String DOMAIN_BASED_THROTTLE_KEY

      See Also:
        Constant Field Values

    - #### ROLE_BASED_THROTTLE_KEY

          public static final java.lang.String ROLE_BASED_THROTTLE_KEY

      See Also:
        Constant Field Values

    - #### TOKEN_BASED_THROTTLE_KEY

          public static final java.lang.String TOKEN_BASED_THROTTLE_KEY

      See Also:
        Constant Field Values

    - #### GLOBAL_THROTTLE_KEY

          public static final java.lang.String GLOBAL_THROTTLE_KEY

      See Also:
        Constant Field Values

    - #### CAC_SUFFIX

          public static final java.lang.String CAC_SUFFIX

      See Also:
        Constant Field Values

    - #### GLOBAL_THROTTLE_ID

          public static final java.lang.String GLOBAL_THROTTLE_ID

      See Also:
        Constant Field Values

    - #### ADMIN_SERVICE_PARAM_NAME

          public static final java.lang.String ADMIN_SERVICE_PARAM_NAME

      Parameter names which are used to identify special services..
      See Also:
        Constant Field Values

    - #### HIDDEN_SERVICE_PARAM_NAME

          public static final java.lang.String HIDDEN_SERVICE_PARAM_NAME

      See Also:
        Constant Field Values

    - #### DYNAMIC_SERVICE_PARAM_NAME

          public static final java.lang.String DYNAMIC_SERVICE_PARAM_NAME

      See Also:
        Constant Field Values

    - #### DOMAIN_NAME_PROPERTY

          public static final java.lang.String DOMAIN_NAME_PROPERTY

      See Also:
        Constant Field Values

    - #### DUMMY_TOKEN

          public static final java.lang.String DUMMY_TOKEN

      Dummy token for token based throttling policy initialization
      See Also:
        Constant Field Values

    - #### THROTTLE_INFO_KEY

          public static final java.lang.String THROTTLE_INFO_KEY

      See Also:
        Constant Field Values

    - #### THROTTLE_TIMESTAMP_KEY

          public static final java.lang.String THROTTLE_TIMESTAMP_KEY

      See Also:
        Constant Field Values

    - #### THROTTLE_SHARED_COUNTER_KEY

          public static final java.lang.String THROTTLE_SHARED_COUNTER_KEY

      See Also:
        Constant Field Values

    - #### THROTTLE_CONTEXT_CLEANUP_TASK_FREQUENCY

          public static final java.lang.String THROTTLE_CONTEXT_CLEANUP_TASK_FREQUENCY

      See Also:
        Constant Field Values

    - #### THROTTLE_CONTEXT_DISTRIBUTED_CLEANUP_TASK_FREQUENCY

          public static final java.lang.String THROTTLE_CONTEXT_DISTRIBUTED_CLEANUP_TASK_FREQUENCY

      See Also:
        Constant Field Values

    - #### THROTTLE_CONTEXT_DISTRIBUTED_EXPIRED_INSTANCE_TIME

          public static final java.lang.String THROTTLE_CONTEXT_DISTRIBUTED_EXPIRED_INSTANCE_TIME

      See Also:
        Constant Field Values

    - #### THROTTLE_DISTRIBUTED_CLEANUP_POOL_SIZE

          public static final java.lang.String THROTTLE_DISTRIBUTED_CLEANUP_POOL_SIZE

      See Also:
        Constant Field Values

    - #### THROTTLE_DISTRIBUTED_CLEANUP_AMOUNT

          public static final java.lang.String THROTTLE_DISTRIBUTED_CLEANUP_AMOUNT

      See Also:
        Constant Field Values

    - #### MAX_NON_ASSOCIATED_COUNTER_CLEANUP_AMOUNT

          public static final java.lang.String MAX_NON_ASSOCIATED_COUNTER_CLEANUP_AMOUNT

      See Also:
        Constant Field Values

    - #### THROTTLE_DISTRIBUTED_CLEANUP_TASK_ENABLE

          public static final java.lang.String THROTTLE_DISTRIBUTED_CLEANUP_TASK_ENABLE

      See Also:
        Constant Field Values

    - #### THROTTLING_POOL_SIZE

          public static final java.lang.String THROTTLING_POOL_SIZE

      See Also:
        Constant Field Values

    - #### THROTTLING_REPLICATION_FREQUENCY

          public static final java.lang.String THROTTLING_REPLICATION_FREQUENCY

      See Also:
        Constant Field Values

    - #### THROTTLING_KEYS_TO_REPLICATE

          public static final java.lang.String THROTTLING_KEYS_TO_REPLICATE

      See Also:
        Constant Field Values

    - #### WINDOW_REPLICATOR_POOL_SIZE

          public static final java.lang.String WINDOW_REPLICATOR_POOL_SIZE

      See Also:
        Constant Field Values

    - #### WINDOW_REPLICATOR_FREQUENCY

          public static final java.lang.String WINDOW_REPLICATOR_FREQUENCY

      See Also:
        Constant Field Values

    - #### DISTRIBUTED_COUNTER_TYPE

          public static final java.lang.String DISTRIBUTED_COUNTER_TYPE

      See Also:
        Constant Field Values

    - #### DISTRIBUTED_COUNTER_CONFIGURATIONS

          public static final java.lang.String DISTRIBUTED_COUNTER_CONFIGURATIONS

      See Also:
        Constant Field Values

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.